# Obter informações do armazenamento vetorial

{% openapi src="/files/7wfxJNjaZYJgvBWvXvoQ" path="/vector-stores/me" method="get" %}
[rememberizer\_openapi.yml](https://606058861-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FDrEOD8oYxrWDlC9WhJ3K%2Fuploads%2Fgit-blob-77b6137eeb641262ec8e531c78123c02b825b865%2Frememberizer_openapi.yml?alt=media\&token=85552d2b-b485-42dc-a027-aa2441b8ca9f)
{% endopenapi %}

## Exemplos de Requisições

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X GET \
  https://api.rememberizer.ai/api/v1/vector-stores/me \
  -H "x-api-key: SUA_CHAVE_API"
```

{% hint style="info" %}
Substitua `SUA_CHAVE_API` pela sua chave API real do Vector Store.
{% endhint %}
{% endtab %}

{% tab title="JavaScript" %}

```javascript
const getVectorStoreInfo = async () => {
  const response = await fetch('https://api.rememberizer.ai/api/v1/vector-stores/me', {
    method: 'GET',
    headers: {
      'x-api-key': 'SUA_CHAVE_API'
    }
  });
  
  const data = await response.json();
  console.log(data);
};

getVectorStoreInfo();
```

{% hint style="info" %}
Substitua `SUA_CHAVE_API` pela sua chave API real do Vector Store.
{% endhint %}
{% endtab %}

{% tab title="Python" %}

```python
import requests

def get_vector_store_info():
    headers = {
        "x-api-key": "SUA_CHAVE_API"
    }
    
    response = requests.get(
        "https://api.rememberizer.ai/api/v1/vector-stores/me",
        headers=headers
    )
    
    data = response.json()
    print(data)

get_vector_store_info()
```

{% hint style="info" %}
Substitua `SUA_CHAVE_API` pela sua chave API real do Vector Store.
{% endhint %}
{% endtab %}
{% endtabs %}

## Formato de Resposta

```json
{
  "id": "vs_abc123",
  "name": "Meu Armazenamento de Vetores",
  "description": "Um armazenamento de vetores para documentação de produtos",
  "embedding_model": "sentence-transformers/all-mpnet-base-v2",
  "indexing_algorithm": "ivfflat",
  "vector_dimension": 128,
  "search_metric": "cosine_distance",
  "created": "2023-06-01T10:30:00Z",
  "modified": "2023-06-15T14:45:00Z"
}
```

## Autenticação

Este endpoint requer autenticação usando uma chave de API no cabeçalho `x-api-key`.

## Respostas de Erro

| Código de Status | Descrição                                                |
| ---------------- | -------------------------------------------------------- |
| 401              | Não Autorizado - Chave de API inválida ou ausente        |
| 404              | Não Encontrado - Armazenamento de Vetores não encontrado |
| 500              | Erro Interno do Servidor                                 |

Este endpoint recupera informações sobre o armazenamento de vetores associado à chave de API fornecida. É útil para verificar detalhes de configuração, incluindo o modelo de incorporação, dimensionalidade e métrica de busca sendo utilizada. Essas informações podem ser valiosas para otimizar consultas de busca e entender as capacidades do armazenamento de vetores.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rememberizer.ai/pt/recursos-para-desenvolvedores/api-docs/vector-store/get-vector-stores-information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
